## ros-noetic-roslint 0.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(roslint)

find_package(catkin REQUIRED)

catkin_package(CFG_EXTRAS roslint-extras.cmake)
catkin_python_setup()

install(PROGRAMS scripts/test_wrapper
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Lint itself. This also serves as a smoke check of the cmake extras file.
# Please note that this complexity is due to self-checking. For typical usage, please
# see the ROS wiki: http://wiki.ros.org/roslint
if(CATKIN_ENABLE_TESTING)
  set(extra "cmake/roslint-extras.cmake")
  em_expand(${catkin_EXTRAS_DIR}/templates/cfg-extras.context.py.in
    ${CMAKE_CURRENT_BINARY_DIR}/${extra}.develspace.context.cmake.py
    ${CMAKE_CURRENT_SOURCE_DIR}/${extra}.em
    ${CMAKE_CURRENT_BINARY_DIR}/${extra})
  include(${CMAKE_CURRENT_BINARY_DIR}/${extra})

  roslint_python(
    setup.py
    src/roslint/cpplint_wrapper.py
    src/roslint/pycodestyle_wrapper.py)
  roslint_add_test()
endif()

=== tests/CMakeLists.txt ===
# Only processed if CATKIN_ENABLE_TESTING is true.

# Set up CMake environment to run tests:
include(${PROJECT_SOURCE_DIR}/cmake/roslint-extras.cmake)

# no C++ tests yet

# Some simple Python unit tests, which must return zero status or make
# run_tests appears to fail.
roslint_python(${CMAKE_CURRENT_SOURCE_DIR}/clean1.py)

# This should generate a CMake warning.  How to check it?
message("The following roslint test should generate a warning message:")
roslint_custom("no_such_linter" "")

# Run pylint with expected return status:
set(_RUNLINT "${CMAKE_CURRENT_SOURCE_DIR}/runlint.py")
roslint_custom(${_RUNLINT} "0 pylint"
               ${CMAKE_CURRENT_SOURCE_DIR}/clean1.py)
roslint_custom(${_RUNLINT} "16 pylint"
               ${CMAKE_CURRENT_SOURCE_DIR}/dirty1.py)

# Make run_tests depend on the roslint targets created above.
add_custom_target(run_tests_${PROJECT_NAME})
add_dependencies(run_tests_${PROJECT_NAME} roslint_${PROJECT_NAME})
add_dependencies(run_tests run_tests_${PROJECT_NAME})

=== debian/changelog ===
ros-noetic-roslint (0.12.0-1focal) focal; urgency=high

  * Misc tidying for ROS Noetic. (#79 <https://github.com/ros/roslint//issues/79>)
    - Invoke wrappers with python -m instead of as scripts.
    - Drop logic not needed with CATKIN_ENV used.
    - Drop unneeded install of the cmake extra.
    - Print output as well as capturing in test wrapper.
  * Bump CMake version to avoid CMP0048 warning (#77 <https://github.com/ros/roslint//issues/77>)
  * Fix is-not usage in cpplint-wrapper (#76 <https://github.com/ros/roslint//issues/76>)
    Python complains about this during installation now.
  * Bump to latest pycodestyle.
  * Python 3 fixes for cpplint.
  * Bump cpplint.py to latest version
  * Update URL to cpplint
  * Support for headers outside of include folder (#68 <https://github.com/ros/roslint//issues/68>)
  * Adding hpp to default list of extensions. (#69 <https://github.com/ros/roslint//issues/69>)
  * CheckBracers now correctly accepts C++11 bracer-init-lists passed as arguments to functions (#63 <https://github.com/ros/roslint//issues/63>)
  * Contributors: Joshua Whitley, Maciej Żurad, Mike Purvis, Shane Loretz, mistoll

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 16 Mar 2020 04:00:00 -0000

ros-noetic-roslint (0.11.2-1focal) focal; urgency=high

  * Define xrange() for Python 3 (#60 <https://github.com/ros/roslint/issues/60>)
  * Contributors: cclauss

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 21 Mar 2018 04:00:00 -0000

ros-noetic-roslint (0.11.1-1focal) focal; urgency=high

  * Set testcase class name, simplify result XML. (#53 <https://github.com/ros/roslint/issues/53>)
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 17 Mar 2017 04:00:00 -0000

ros-noetic-roslint (0.11.0-1focal) focal; urgency=high

  * Add Alex Henning as maintainer
  * Moved default flags for cpplint from cmake file to cpplint script to have centralized place for such flag.
  * Set the python max-line-length to 120, allows rosrun roslint pep8 to run with the expected settings.
  * Fixes issue #40 <https://github.com/ros/roslint/issues/40>.
  * Contributors: Alex Henning, Andriy Petlovanyy, Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 23 Mar 2016 04:00:00 -0000

ros-noetic-roslint (0.10.0-1focal) focal; urgency=high

  * Updated pep8 from 1.4.7a0 to 1.6.2
  * Updated cpplint to the latest version (https://github.com/google/styleguide/tree/554223dc5432f9bd67951cde662f7a023c512dec)
  * Fix for falsely reporting do-whiles as an error
  * Fixes for access control in structs
  * Contributors: Alex Henning, Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 07 Aug 2015 04:00:00 -0000

ros-noetic-roslint (0.9.3-1focal) focal; urgency=high

  * Don't hang on header outside "include" dir.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 06 Jan 2015 05:00:00 -0000

ros-noetic-roslint (0.9.2-1focal) focal; urgency=high

  * Better implementation of roslint_add_test
  * Simple implementation of XML results output
  * roslint roslints itself
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 31 Mar 2014 04:00:00 -0000

ros-noetic-roslint (0.9.1-1focal) focal; urgency=high

  * Add roslint_add_test function
  * Run the include-line checks with errors suppressed. This kills spurious build/include_what_you_use errors.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 18 Feb 2014 05:00:00 -0000

ros-noetic-roslint (0.9.0-1focal) focal; urgency=high

  * Allow a trailing semicolon after closing brace.
  * Add more tolerance for braces as array initializers, and eliminate the warning about access control labels.
  * Rename python library to roslint, to play better.
  * Use templated extras file to find roslint scripts without rosrun.
  * Max length override for pep8; remove roslint custom shout.
  * Add some overrides in an effort to comply better with ROS C++ Style.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 17 Feb 2014 05:00:00 -0000

ros-noetic-roslint (0.0.1-1focal) focal; urgency=high

  * Basic initial release, with roslint_python, roslint_cpp, and roslint_custom macros included.
  * pep8 and cpplint linters packaged-in.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 17 Oct 2013 04:00:00 -0000

=== debian/control ===
Source: ros-noetic-roslint
Section: misc
Priority: extra
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://ros.org/wiki/roslint
Standards-Version: 3.9.2

Package: ros-noetic-roslint
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: CMake lint commands for ROS packages.
 The lint commands perform static checking of Python or C++ source code for errors and standards compliance.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-roslint//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
